<?php
// Ensure no output occurs before headers are sent
ob_start();

// Set response headers immediately
header('Content-Type: application/json');

// Error handling function to ensure we always return JSON
function returnJsonError($message, $httpCode = 500) {
    http_response_code($httpCode);
    echo json_encode([
        'success' => false,
        'error' => $message
    ]);
    exit;