<?php
// Include database connection
require_once 'db-connection.php';

// Set username and password for reset
$username = 'nurse1';
$password = 'nurse123';

// Hash the password
$hashed_password = password_hash($password, PASSWORD_DEFAULT);

try {
    // Check if user exists
    $check_sql = "SELECT id FROM users WHERE username = ?";
    $check_stmt = $pdo->prepare($check_sql);
    $check_stmt->execute([$username]);
    
    if ($check_stmt->rowCount() > 0) {
        // Update existing user
        $sql = "UPDATE users SET password = ? WHERE username = ?";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([$hashed_password, $username]);
        echo "Password for user '{$username}' has been reset to '{$password}'.<br>";
    } else {
        // Create new nurse user
        $sql = "INSERT INTO users (username, password, fullname, email, role) VALUES (?, ?, ?, ?, ?)";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([
            $username, 
            $hashed_password, 
            'Nurse User',
            'nurse1@hospital.org',
            'reporter'
        ]);
        echo "Created new nurse user '{$username}' with password '{$password}'.<br>";
    }
    
    echo "<p>You can now <a href='login.php'>login</a> using these credentials.</p>";
    
} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}
?>
