<?php
// Enable error reporting for debugging
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Set content type to JSON
header('Content-Type: application/json');

// Database connection parameters
$host = 'localhost';  // Try your actual database host if this doesn't work
$dbname = 'bangsaho_emergency_code_system';
$username = 'bangsaho_emergency_code_system_u';
$password = 'sh4mZP$r49&&#8#2';  // Your actual password

try {
    // Create PDO connection
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // Get database version
    $version = $pdo->query('SELECT VERSION()')->fetchColumn();
    
    // Return success response
    echo json_encode([
        'success' => true,
        'message' => 'Database connection successful',
        'version' => $version,
        'dbname' => $dbname,
        'host' => $host
    ]);
    
} catch (PDOException $e) {
    // Return error response
    echo json_encode([
        'success' => false,
        'error' => $e->getMessage(),
        'code' => $e->getCode()
    ]);
}
?>