<?php
// test-api.php
ini_set('display_errors', 1);
error_reporting(E_ALL);

// Include database connection
require_once 'db-connection.php';

// Set response headers
header('Content-Type: application/json');

try {
    // Extremely simple query
    $query = "SELECT COUNT(*) as count FROM code_reports";
    $result = $pdo->query($query)->fetchColumn();
    
    echo json_encode([
        'success' => true,
        'count' => $result,
        'message' => 'API is working'
    ]);
} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'error' => $e->getMessage()
    ]);
}
?>